﻿@using Xtoman.Domain.WebServices.Payment.CoinPayments
@using Xtoman.Framework
@model CoinPaymentsAddressResult
@{
    ViewBag.Title = "آدرس CoinPayments.net";
}

<div class="container">
    <div class="row">
        <div class="col-md-12">
            @if (Model.result != null)
            {
                <p>@Model.result.address</p>
                <img src="@QRGenerator.GetImageBase64String(Model.result.address)" class="img-fluid" />
                if (Model.result.dest_tag.HasValue())
                {
                    <p>@Model.result.dest_tag</p>
                    <img src="@QRGenerator.GetImageBase64String(Model.result.dest_tag)" class="img-fluid" />}
            }
        </div>
    </div>
</div>